package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-30
 */

@TableName("Z_SFC_DISPATCH")
public class SfcDispatch extends Model<SfcDispatch> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 生产批次
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 下料尺寸
     */
   @TableField("BLANKING_SIZE")
   private String blankingSize;
    /**
     * 派工序号
     */
   @TableField("DISPATCH_SEQ")
   private String dispatchSeq;
    /**
     * 派工单号
     */
   @TableField("DISPATCH_NO")
   private String dispatchNo;
    /**
     * 派工状态
     */
   @TableField("DISPATCH_STATUS")
   private String dispatchStatus;
    /**
     * 图号
     */
   @TableField("DRAWINGS_NO")
   private String drawingsNo;
    /**
     * 图号版本
     */
   @TableField("DRAWINGS_REVISION")
   private String drawingsRevision;
    /**
     * 是否锁定
     */
   @TableField("IS_LOCK")
   private String isLock;
    /**
     * 工艺路线
     */
   @TableField("ROUTER_BO")
   private String routerBo;
    /**
     * 步骤标示
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 工序编号
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 资源类型
     */
   @TableField("RESOURCE_TYPE")
   private String resourceType;
    /**
     * 工作中心
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 资源编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 人员编号
     */
   @TableField("EMPLOYEE")
   private String employee;
   @TableField("EMPLOYEE_DESCRIPTION")
   private String employeeDescription;
    /**
     * 是否转序
     */
   @TableField("TURN_OPERATION")
   private String turnOperation;
    /**
     * 派工数量
     */
   @TableField("DISPATCH_QTY")
   private Double dispatchQty;
    /**
     * 工时
     */
   @TableField("PROD_HOURS")
   private Double prodHours;
    /**
     * 计划开始时间
     */
   @TableField("PLANNED_START_DATE")
   private LocalDateTime plannedStartDate;
    /**
     * 计划完成时间
     */
   @TableField("PLANNED_COMP_DATE")
   private LocalDateTime plannedCompDate;
    /**
     * 最早开始时间
     */
   @TableField("EARLIEST_START_DATE")
   private LocalDateTime earliestStartDate;
    /**
     * 最晚结束时间
     */
   @TableField("LATEST_END_DATE")
   private LocalDateTime latestEndDate;
    /**
     * 工单下达时间
     */
   @TableField("SO_RELEASED_DATE")
   private LocalDateTime soReleasedDate;
    /**
     * 派工发布时间
     */
   @TableField("SFC_RELEASED_DATE")
   private LocalDateTime sfcReleasedDate;
    /**
     * 首次发布时间
     */
   @TableField("RELEASED_COMPLETE_DATE")
   private LocalDateTime releasedCompleteDate;
    /**
     * 实际开始时间
     */
   @TableField("ACTUAL_START_DATE")
   private LocalDateTime actualStartDate;
    /**
     * 实际完成时间
     */
   @TableField("ACTUAL_COMPLETE_DATE")
   private LocalDateTime actualCompleteDate;
    /**
     * 是否已经派工
     */
   @TableField("IS_DISPATCH")
   private String isDispatch;
    /**
     * 是否导入
     */
   @TableField("IS_IMPORT")
   private String isImport;
    /**
     * 派工备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 前置工序
     */
   @TableField("PREPOSITION_STEP_ID")
   private String prepositionStepId;
   @TableField("PREPOSITION_OPERATION")
   private String prepositionOperation;
    /**
     * 是否首工序
     */
   @TableField("IS_FIRST_OPERATION")
   private String isFirstOperation;
    /**
     * 创建人员
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人员
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 是否完成
     */
   @TableField("OTHER_1")
   private String other1;
   @TableField("OTHER_2")
   private String other2;
   @TableField("OTHER_3")
   private String other3;
   @TableField("OTHER_4")
   private String other4;
   @TableField("OTHER_5")
   private String other5;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getBlankingSize() {
      return blankingSize;
   }

   public void setBlankingSize(String blankingSize) {
      this.blankingSize = blankingSize;
   }

   public String getDispatchSeq() {
      return dispatchSeq;
   }

   public void setDispatchSeq(String dispatchSeq) {
      this.dispatchSeq = dispatchSeq;
   }

   public String getDispatchNo() {
      return dispatchNo;
   }

   public void setDispatchNo(String dispatchNo) {
      this.dispatchNo = dispatchNo;
   }

   public String getDispatchStatus() {
      return dispatchStatus;
   }

   public void setDispatchStatus(String dispatchStatus) {
      this.dispatchStatus = dispatchStatus;
   }

   public String getDrawingsNo() {
      return drawingsNo;
   }

   public void setDrawingsNo(String drawingsNo) {
      this.drawingsNo = drawingsNo;
   }

   public String getDrawingsRevision() {
      return drawingsRevision;
   }

   public void setDrawingsRevision(String drawingsRevision) {
      this.drawingsRevision = drawingsRevision;
   }

   public String getIsLock() {
      return isLock;
   }

   public void setIsLock(String isLock) {
      this.isLock = isLock;
   }

   public String getRouterBo() {
      return routerBo;
   }

   public void setRouterBo(String routerBo) {
      this.routerBo = routerBo;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getResourceType() {
      return resourceType;
   }

   public void setResourceType(String resourceType) {
      this.resourceType = resourceType;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getEmployee() {
      return employee;
   }

   public void setEmployee(String employee) {
      this.employee = employee;
   }

   public String getEmployeeDescription() {
      return employeeDescription;
   }

   public void setEmployeeDescription(String employeeDescription) {
      this.employeeDescription = employeeDescription;
   }

   public String getTurnOperation() {
      return turnOperation;
   }

   public void setTurnOperation(String turnOperation) {
      this.turnOperation = turnOperation;
   }

   public Double getDispatchQty() {
      return dispatchQty;
   }

   public void setDispatchQty(Double dispatchQty) {
      this.dispatchQty = dispatchQty;
   }

   public Double getProdHours() {
      return prodHours;
   }

   public void setProdHours(Double prodHours) {
      this.prodHours = prodHours;
   }

   public LocalDateTime getPlannedStartDate() {
      return plannedStartDate;
   }

   public void setPlannedStartDate(LocalDateTime plannedStartDate) {
      this.plannedStartDate = plannedStartDate;
   }

   public LocalDateTime getPlannedCompDate() {
      return plannedCompDate;
   }

   public void setPlannedCompDate(LocalDateTime plannedCompDate) {
      this.plannedCompDate = plannedCompDate;
   }

   public LocalDateTime getEarliestStartDate() {
      return earliestStartDate;
   }

   public void setEarliestStartDate(LocalDateTime earliestStartDate) {
      this.earliestStartDate = earliestStartDate;
   }

   public LocalDateTime getLatestEndDate() {
      return latestEndDate;
   }

   public void setLatestEndDate(LocalDateTime latestEndDate) {
      this.latestEndDate = latestEndDate;
   }

   public LocalDateTime getSoReleasedDate() {
      return soReleasedDate;
   }

   public void setSoReleasedDate(LocalDateTime soReleasedDate) {
      this.soReleasedDate = soReleasedDate;
   }

   public LocalDateTime getSfcReleasedDate() {
      return sfcReleasedDate;
   }

   public void setSfcReleasedDate(LocalDateTime sfcReleasedDate) {
      this.sfcReleasedDate = sfcReleasedDate;
   }

   public LocalDateTime getReleasedCompleteDate() {
      return releasedCompleteDate;
   }

   public void setReleasedCompleteDate(LocalDateTime releasedCompleteDate) {
      this.releasedCompleteDate = releasedCompleteDate;
   }

   public LocalDateTime getActualStartDate() {
      return actualStartDate;
   }

   public void setActualStartDate(LocalDateTime actualStartDate) {
      this.actualStartDate = actualStartDate;
   }

   public LocalDateTime getActualCompleteDate() {
      return actualCompleteDate;
   }

   public void setActualCompleteDate(LocalDateTime actualCompleteDate) {
      this.actualCompleteDate = actualCompleteDate;
   }

   public String getIsDispatch() {
      return isDispatch;
   }

   public void setIsDispatch(String isDispatch) {
      this.isDispatch = isDispatch;
   }

   public String getIsImport() {
      return isImport;
   }

   public void setIsImport(String isImport) {
      this.isImport = isImport;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getPrepositionOperation() {
      return prepositionOperation;
   }

   public void setPrepositionOperation(String prepositionOperation) {
      this.prepositionOperation = prepositionOperation;
   }

   public String getIsFirstOperation() {
      return isFirstOperation;
   }

   public void setIsFirstOperation(String isFirstOperation) {
      this.isFirstOperation = isFirstOperation;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getOther1() {
      return other1;
   }

   public void setOther1(String other1) {
      this.other1 = other1;
   }

   public String getOther2() {
      return other2;
   }

   public void setOther2(String other2) {
      this.other2 = other2;
   }

   public String getOther3() {
      return other3;
   }

   public void setOther3(String other3) {
      this.other3 = other3;
   }

   public String getOther4() {
      return other4;
   }

   public void setOther4(String other4) {
      this.other4 = other4;
   }

   public String getOther5() {
      return other5;
   }

   public void setOther5(String other5) {
      this.other5 = other5;
   }

   public String getPrepositionStepId() {
      return prepositionStepId;
   }

   public void setPrepositionStepId(String prepositionStepId) {
      this.prepositionStepId = prepositionStepId;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SITE = "SITE";

   public static final String SHOP_ORDER = "SHOP_ORDER";

   public static final String SFC = "SFC";

   public static final String BLANKING_SIZE = "BLANKING_SIZE";

   public static final String DISPATCH_SEQ = "DISPATCH_SEQ";

   public static final String DISPATCH_NO = "DISPATCH_NO";

   public static final String DISPATCH_STATUS = "DISPATCH_STATUS";

   public static final String DRAWINGS_NO = "DRAWINGS_NO";

   public static final String DRAWINGS_REVISION = "DRAWINGS_REVISION";

   public static final String IS_LOCK = "IS_LOCK";

   public static final String ROUTER_BO = "ROUTER_BO";

   public static final String STEP_ID = "STEP_ID";

   public static final String OPERATION = "OPERATION";

   public static final String RESOURCE_TYPE = "RESOURCE_TYPE";

   public static final String WORK_CENTER = "WORK_CENTER";

   public static final String RESRCE = "RESRCE";

   public static final String EMPLOYEE = "EMPLOYEE";

   public static final String TURN_OPERATION = "TURN_OPERATION";

   public static final String DISPATCH_QTY = "DISPATCH_QTY";

   public static final String PROD_HOURS = "PROD_HOURS";

   public static final String PLANNED_START_DATE = "PLANNED_START_DATE";

   public static final String PLANNED_COMP_DATE = "PLANNED_COMP_DATE";

   public static final String EARLIEST_START_DATE = "EARLIEST_START_DATE";

   public static final String LATEST_END_DATE = "LATEST_END_DATE";

   public static final String SO_RELEASED_DATE = "SO_RELEASED_DATE";

   public static final String SFC_RELEASED_DATE = "SFC_RELEASED_DATE";

   public static final String RELEASED_COMPLETE_DATE = "RELEASED_COMPLETE_DATE";

   public static final String ACTUAL_START_DATE = "ACTUAL_START_DATE";

   public static final String ACTUAL_COMPLETE_DATE = "ACTUAL_COMPLETE_DATE";

   public static final String IS_DISPATCH = "IS_DISPATCH";

   public static final String IS_IMPORT = "IS_IMPORT";

   public static final String REMARK = "REMARK";

   public static final String PREPOSITION_OPERATION = "PREPOSITION_OPERATION";

   public static final String IS_FIRST_OPERATION = "IS_FIRST_OPERATION";

   public static final String CREATE_USER = "CREATE_USER";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String MODIFY_USER = "MODIFY_USER";

   public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

   public static final String OTHER_1 = "OTHER_1";

   public static final String OTHER_2 = "OTHER_2";

   public static final String OTHER_3 = "OTHER_3";

   public static final String OTHER_4 = "OTHER_4";

   public static final String OTHER_5 = "OTHER_5";

   public static final String PREPOSITION_STEP_ID = "PREPOSITION_STEP_ID";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcDispatch{" +
         "handle = " + handle +
         ", site = " + site +
         ", shopOrder = " + shopOrder +
         ", sfc = " + sfc +
         ", blankingSize = " + blankingSize +
         ", dispatchSeq = " + dispatchSeq +
         ", dispatchNo = " + dispatchNo +
         ", dispatchStatus = " + dispatchStatus +
         ", drawingsNo = " + drawingsNo +
         ", drawingsRevision = " + drawingsRevision +
         ", isLock = " + isLock +
         ", routerBo = " + routerBo +
         ", stepId = " + stepId +
         ", operation = " + operation +
         ", resourceType = " + resourceType +
         ", workCenter = " + workCenter +
         ", resrce = " + resrce +
         ", employee = " + employee +
         ", turnOperation = " + turnOperation +
         ", dispatchQty = " + dispatchQty +
         ", prodHours = " + prodHours +
         ", plannedStartDate = " + plannedStartDate +
         ", plannedCompDate = " + plannedCompDate +
         ", earliestStartDate = " + earliestStartDate +
         ", latestEndDate = " + latestEndDate +
         ", soReleasedDate = " + soReleasedDate +
         ", sfcReleasedDate = " + sfcReleasedDate +
         ", releasedCompleteDate = " + releasedCompleteDate +
         ", actualStartDate = " + actualStartDate +
         ", actualCompleteDate = " + actualCompleteDate +
         ", isDispatch = " + isDispatch +
         ", isImport = " + isImport +
         ", remark = " + remark +
         ", prepositionStepId = " + prepositionStepId +
         ", prepositionOperation = " + prepositionOperation +
         ", isFirstOperation = " + isFirstOperation +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", other1 = " + other1 +
         ", other2 = " + other2 +
         ", other3 = " + other3 +
         ", other4 = " + other4 +
         ", other5 = " + other5 +
         "}";
   }
}